@charset "UTF-8";

.page-mv {
	position: relative;
	aspect-ratio: 1920 / 770;
	width: 100%;
	height: auto;
	padding-top: clamp(160px, 13.5417vw, 260px);
	z-index: 2;

	&::before {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: -100vh;
		background-image: url("../img/common/mv_bg.png");
		background-size: 66%;
		background-position: left top;
		background-repeat: no-repeat;
	}
}

.mv__content {
	position: relative;
	z-index: 100;

	width: 100%;
	padding-inline: 95px;
	margin-inline: auto;
	color: var(--white);
}

@media only screen and (max-width: 1340px) {
	.mv__content {
		padding-inline: 40px;
	}
}

.c-heading {
	width: 100%;
	display: flex;
	flex-direction: column;
	gap: 3rem;
}

.c-heading__ja {
	display: flex;
	align-items: center;
	gap: 0.52em;
	font-size: clamp(1.5rem, calc(0.5833rem + 1.9097vw), 2.875rem);
	line-height: 1;

	padding-left: 20px;

	&::before {
		content: "";
		width: 0.85em;
		height: 0.85em;
		background: var(--white);
		border-radius: 100%;
		translate: 0 4px;
	}
}

.c-heading__en {
	font-family: "Google Sans", sans-serif;
	font-size: clamp(6rem, calc(-0.75rem + 14.0625vw), 13.75rem);
	font-weight: bold;
	line-height: 1;
}

@media only screen and (max-width: 768px) {
	.page-mv {
		aspect-ratio: 768 / 445;
		padding-top: clamp(120px, 27.34375vw, 210px);

		&::before {
			background-image: url("../img/common/mv_bg-sp.png");
			background-size: 96%;
		}
	}

	.mv__content {
		padding-inline: min(5.208vw, 2.5rem);
	}

	.c-heading {
		gap: 0.5rem;
	}

	.c-heading__ja {

		font-size: clamp(0.9rem, 3.52vw, 1.6875rem);

		padding-left: 5px;
	}

	.c-heading__en {
		font-size: clamp(2.5rem, 13.17vw, 6.1875rem);
	}
}

.internship__list {
	display: grid;
	grid-template-columns: repeat(2, minmax(0, 1fr));
	gap: 40px 30px;
}

.internship__item {
	padding: 2rem 1.5rem 3.5rem;
	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
}

.internship-card__title {
	font-size: 1.5rem;
	color: var(--p_blue);
	display: flex;
	align-items: center;
	gap: 1em;
	margin-bottom: 2.5rem;

	&::before {
		content: "";
		width: 7px;
		height: 64px;
		background-image: url("../img/common/gd-icon.png");
		background-size: contain;
		background-repeat: no-repeat;
		background-position: center;
		flex-shrink: 0;
	}
}

.internship-card__program {
	margin-bottom: 2.5rem;
}

.internship-card__program-title {
	font-size: 1.5rem;
	line-height: 1;
	color: var(--p_blue);
	margin-bottom: 0.5rem;
}

.internship-card__program-summary {
	font-size: 1.25rem;
}

.internship-card__program-detail {
	font-size: 1.25rem;

	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.internship-card__image {
	margin-bottom: 2.5rem;

	img {
		width: 100%;
		height: auto;
	}
}

.internship-section .c-image-button {
	background-image: url("../img/top/grada_bg.png");
	background-size: cover;
	background-position: 75% 75%;
	background-repeat: no-repeat;
	border-radius: 100vmax;
	min-width: 19.625rem;
	width: fit-content;
	min-height: 4.25rem;
	color: var(--white);
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
	margin-inline: auto;
	transition: background-color 0.3s;

	svg {
		position: absolute;
		right: 40px;
		width: 2rem;
		height: 2rem;
	}

	&:hover {
		opacity: 1;
		background-image: none;
		background-color: var(--p_blue);
	}
}

.internship-section .c-image-button__text--large {
	font-size: 1rem;
}

@media only screen and (max-width: 1024px) {
	.internship__list {
		grid-template-columns: repeat(1, minmax(0, 1fr));
		gap: 20px;
	}
}

@media only screen and (max-width: 768px) {
	.internship__item {
		padding: 2rem 1rem 3.5rem;
	}

	.internship-card__title {
		font-size: clamp(1rem, 1.95vw, 1.5rem);
		margin-bottom: 2rem;

		&::before {
			height: 32px;
		}
	}

	.internship-card__program {
		margin-bottom: 2rem;
	}

	.internship-card__program-title {
		font-size: clamp(1rem, 1.95vw, 1.5rem);
	}

	.internship-card__program-summary {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
	}

	.internship-card__program-detail {
		font-size: clamp(0.8rem, 2.21vw, 1.25rem);
	}

	.internship-card__image {
		margin-bottom: 2rem;
	}

	.internship-section .c-image-button {
		min-width: initial;
		width: stretch;
		min-height: clamp(5rem, 14.3229vw, 6.875rem);

		svg {
			right: 10px;
			width: 1rem;
			height: 1rem;
		}
	}

	.internship-section .c-image-button__text--large {
		font-size: clamp(1rem, 3.91vw, 1.75rem);
	}
}